#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA9,0x5F,0xD2,0xE8,0x3F,0x66,0x03,0xDF,0x20,0x96,0x7A,0x0B,
		0xDE,0x7A,0xAA,0x02,0xE4,0x83,0x1B,0xE2,0x99,0xC2,0xA0,0x1E,
		0x29,0xAB,0xD5,0xA1,0xF2,0xF9,0xE5,0x74,0xDA,0x9B,0x73,0x68,
		0x6B,0xE8,0xD2,0xF4,0x5E,0x42,0xC2,0xBF,0x18,0x7B,0x02,0xD1,
		0xF4,0x0A,0x70,0xFD,0xB7,0xF1,0xC3,0xC3,0x9A,0x5D,0x45,0x7A,
		0x9F,0x11,0x27,0x87,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
